/*------------------------------------*\
    #MENU-FOOTER
\*------------------------------------*/
/**
 * Footer navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}newsletter-subscribe,
%#{$inuit-namespace}newsletter-subscribe {
    text-transform: uppercase;
    display: inline-block;
    margin: 0 0 0 10px;
    .c-newsletter-subscribe__btn-container {
        padding-top:4px;
    }
    @media #{$medium} {
        float: left;
        vertical-align: middle;
    }
}
@if $theme == "reloaded" {
    .#{$inuit-namespace}shortsubscribe,
    %#{$inuit-namespace}shortsubscribe {
        //background: linear-gradient(90deg, $frs-color-red 0%, $frs-color-dark-red 100%);
        background: $frs-color-red;
        min-height:260px;
        color:$frs-color-white;
        left: 0;
        width: 110%;
        margin: 3rem -5% !important;
        h3 {
            color:$frs-color-white;
            display: inline-block;
            margin: 15% 1% 0 3%;
            font-size: 38px;
            text-align: left;
            &:before {
                content:'\f0e0';
                font-family: 'FontAwesome';
                height: 36px;
                width: 48px;
                margin-top: -3rem;
                position: absolute;
            }
            @media #{$large-up} {
                float: left;
                max-width: 47%;
                margin: 5% 0 5% 3%;
            }
        }
        &-bodytext {
            width: 100%;
            margin: 3% 0 0 3%;
            text-align: left;
            p {
                margin-bottom:5px;
            }
            form {
                margin-left: 0 !important;
                max-width:601px !important;
                @media #{$large-up} {
                    padding-left:0.5rem;
                }
                .o-form__field:focus ~ .o-form__label,
                .o-form__field.has-value ~ .o-form__label,
                .o-form__field .o-form__divlabel,
                .o-form__field .o-form__divlabelTrans {
                    color: $frs-color-white;
                    -webkit-transform: translate3d(-1.5em, -35px, 0.05rem);
                    transform: translate3d(-1.5em, -35px, 0.05rem);
                }
                .o-form__label {
                    color:$frs-color-grey;
                    height:50px;
                    line-height: 2.4rem;
                    font-size: 1.2rem;
                }
                input {
                    color: $frs-color-grey;
                    border-color:transparent;
                    height:50px;
                    @include frs-placeholder {
                        color: $frs-color-grey;
                    }
                }
                .t-medium-22 {
                    width: 93% !important;
                    @media #{$medium-up} {
                        max-width:391px;
                        width: 55% !important;
                        float:left;
                    }
                }
                .t-medium-2 {
                    width: 93% !important;
                    float: none !important;
                    @media #{$medium-up} {
                        width: 160px !important;
                        display:inline-block;
                    }
                }
                .o-form__submit {
                    background: transparent;
                    border-color: transparent;
                    width:100%;
                    height: 50px !important;
                    line-height: 42px;
                    position: relative;
                    z-index: 0;
                    border-radius: 1px;
                    overflow: hidden;
                    padding: 0 1rem;
                    background: $frs-color-dark-red;
                    box-sizing:border-box;
                    margin-bottom:2rem;
                    font-weight:600;
                    &:before,
                    &:after {
                        box-sizing: border-box;
                    }
                    @media #{$large-up} {
                        width: 160px;
                        margin-bottom:0;
                    }
                    span {
                        display:inline-block;
                        width:auto;
                        width:100%;
                        &:before {
                            display:inline-block;
                            width:100%;
                            content: 'Absenden';
                        }
                    }
                    @include frs-hover {
                        width:100%;
                        height: 41px;
                        line-height: 41px;
                        padding: 1rem 2rem;
                        background:$frs-color-white;
                        color:$frs-color-dark-red;
                        border:1px solid $frs-color-dark-red;
                        @media #{$large-up} {
                            width: 160px;
                        }
                         span {
                             text-align:center;
                             height:41px;
                             line-height:41px;
                         }

                    }
                    @include frs-focus {
                        width:100%;
                        height: 41px;
                        line-height: 41px;
                        padding: 1rem 2rem;
                        background:$frs-color-white;
                        color:$frs-color-dark-red;
                        border:1px solid $frs-color-dark-red;
                        @media #{$large-up} {
                            width: 160px;
                        }
                        span {
                            text-align:center;
                            height:41px;
                            line-height:41px;
                        }

                    }
                    @media #{$medium-up} {
                        height: 41px;
                        line-height: 41px;
                        a {
                            @include frs-hover {
                                height: 41px;
                                line-height: 41px;
                                padding:0 0.5rem;
                                span {
                                    width:100%;
                                    display:inline-block;
                                }
                            }
                        }
                    }
                    svg {
                        display: none;
                    }
                }
            }
            @media #{$large-up} {
                width: 49%;
                float: right;
                text-align: left;
                margin: 5.5% 0 5% 0;
            }


        }
    }
}

.#{$inuit-namespace}newsletter-subscribe__btn-container,
%#{$inuit-namespace}newsletter-subscribe__btn-container {
    display: inline-block;
    float: left;
}

.#{$inuit-namespace}newsletter-subscribe__btn-img,
%#{$inuit-namespace}newsletter-subscribe__btn-img {
    fill: $frs-color-blue;
    width: 40px;
    height: $frs-base-unit-small;
    line-height: $frs-base-unit-small;
    padding: .2rem .5rem .3rem;

    @media #{$large-up} {
        height: $frs-base-unit;
        line-height: $frs-base-unit;
    }
}
div.rowfix {
    margin-bottom: 0.3529411765rem
}
label.layoutfix {
    height: auto;
    padding: .0em 1em .2em;
    position: relative;
    margin-top: -26px;
}
.c-newsletter__form {
    .o-check-group__option {
        float: left;
    }
    .o-check-group__label {
        float:none;
        display:inline;
    }
}
label.labelfix {
    width: 60%;
}
@media only screen and (max-width: 26em){
    label.labelfix {
        width: 60%;
        padding-top: 2px;
    }
}
.c-newsletter__formshort .o-form__field,
.c-newsletter__formshort .o-form__label,
.c-newsletter__formshort .o-form__item {
    padding-right:0 !important;
    text-align:left;
}
.c-newsletter__formshort .o-form__item {
    margin:0 !important;
    padding:0 !important;
}
.c-newsletter__formshort o-form__text {
    padding:0 15px 0 0 !important
}
.c-newsletter__formshort .o-form__submit {
    width:39px;
    height:39px !important;
    padding:0 !important;
}
.c-newsletter__formshort svg.c-menu-social__icon.o-icon-button__icon {
    width:1rem !important;
    height:1rem !important;
    margin-right:0;
    margin-left:9px;
}
.c-newsletter__formshort .c-menu-social__icon {
    fill:#fff !important;
}
.urkunde-download {
    font-size:1.5rem;
}
.o-cms-content .c-newsletter__formshort {
    max-width: 476px;
    margin: 0 auto;
    text-align:center;
}
.o-cms-content .c-newsletter__formshort .t-medium-22 {
    padding-right:24px;
    margin-left:auto;
    margin-right:auto;
}
.o-cms-content .c-newsletter__formshort .t-medium-2 {
    width:24px;
    margin-left:24px;
}
.o-cms-content.c-grey {
    box-sizing: border-box;
    padding: 2rem;
    background: #f2f2f2;
}
.o-cms-content.c-center {
    text-align:center;
}
@media only screen and (max-width: 720px) {
    .c-newsletter__formshort .o-form__item.t-medium-22 {
        float: left !important;
        width: 94% !important;
    }
    .c-newsletter__formshort .o-form__item.t-medium-2 {
        float: right;
    }
}

@media only screen and (max-width: 510px) {
    .c-newsletter__formshort .o-form__item.t-medium-22 {
        width: 93% !important;
    }
}

@media only screen and (max-width: 450px) {
    .c-newsletter__formshort .o-form__item.t-medium-22 {
        width: 92% !important;
    }
}
@media only screen and (max-width: 410px) {
    .c-newsletter__formshort .o-form__item.t-medium-22 {
        width: 100% !important;
        float:none !important;
    }
    .c-newsletter__formshort .o-form__item.t-medium-2 {
        float:none;
        width:100%;
    }
    .c-newsletter__formshort .o-form__submit {
         width: 100%;
         height: 39px !important;
         padding: 0 !important;
         margin-top: 0.5rem;
     }

    @if $theme == "reloaded" {
        .c-newsletter__formshort .o-form__item.t-medium-22 {
            width: 93% !important;
            float:none !important;
        }
    }
}